|
Menu location |
---|
Part → Create primitives → Plane |
Workbenches |
Part, OpenSCAD |
Default shortcut |
None |
Introduced in version |
- |
See also |
Part Primitives |
Description
Descriere
Create a simple parametric plane 10 x 10 mm, with the parameters of position, length, and width. By default, the plane is positioned at the origin (0,0,0).
Cum se utilizează
The standard plane is created with its lower left corner at the origin point 0,0,0. To change these parameters, open the Location section and enter the desired values in the respective input fields, or click on the 3D view and select a point, the point coordinates are taken from the fields. In the Direction menu you can also define a standard vector (X, Y or Z) normal to the plane, or click User Defined ... to open the dialog box that allows you to set a different carrier (eg direction 1.0 , -1 creates a plane inclined 45 ° with respect to X and Z).
See Part Primitives.
Example

A Part Plane object created with the scripting example below is shown here.
Properties
See also: Property editor.
A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:
Data
Attachment
The object has the same attachment properties as a Part Part2DObject.
Plane
- DateLength (
Length
): The length of the plane. This is the dimension in its X direction. The default is10mm
. - DateWidth (
Length
): The width of the plane. This is the dimension in its Y direction. The default is10mm
.
Scripting
See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.
A Part Plane can be created with the addObject()
method of the document:
plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
- Where
"myPlane"
is the name for the object. - The function returns the newly created object.
Example:
import FreeCAD as App
doc = App.activeDocument()
plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))
doc.recompute()
Această pagină este preluată de la https://wiki.freecad.org/Part_Plane